Subject: mstat troubles (was Re: Puzzle with snmp, mrouted, mstat)

From: "Christopher J. Tengi" <[email-masked]>
Date: Thu, 08 Jan 1998 15:16:08 -0500

This thread sparked my interest in mstat, so I went and grabbed it from:

	ftp://home.merit.edu/pub/users/thalerd/mstat.tar.gz

I then built it for Solaris 2.5.1 (adding '-lsocket -lnsl' to the Makefile 
and '#include <sys/sockio.h>' to snmplib/system.c) and tried it on a couple 
of routers, including some from the man page, and a4.ph.gla.ac.uk, as well 
as csgate.princeton.edu.  The results were less than stellar:

deepthought 2201> mstat csgate.princeton.edu
IP Multicast Route Table for csgate
Mcast-group     Origin-Subnet     InIf  UpTime Tmr   Pkts     Bytes RpF Proto

Looking with tcpdump, I see the following:

15:11:35.117642 deepthought.33736 > csgate.snmp: GetNextRequest(29) system.sysName (DF)
15:11:35.120017 csgate.snmp > deepthought.33736: GetResponse(32) system.sysName.0="csgate"
15:11:35.188831 deepthought.33736 > csgate.snmp: GetNextRequest(161) E:cisco.10.2.1.1.2.1.5 E:cisco.10.2.1.1.2.1.6 E:cisco.10.2.1.1.2.1.7 E:cisco.10.2.1.1.2.1.8 E:cisco.10.2.1.1.2.1.10 E:cisco.10.2.1.1.2.1.9 E:cisco.10.2.1.1.2.1.11 (DF)
15:11:35.193443 csgate.snmp > deepthought.33736: GetResponse(273) E:cisco.10.2.1.1.2.1.12.224.0.1.1.0.0.0.0.255.255.255.255=2 E:cisco.10.2.1.1.2.1.12.224.0.1.1.0.0.0.0.255.255.255.255=2 E:cisco.10.2.1.1.2.1.12.224.0.1.1.0.0.0.0.255.255.255.255=2 E:cisco.10.2.1.1.2.1.12.224.0.1.1.0.0.0.0.255.255.255.255=2 E:cisco.10.2.1.1.2.1.12.224.0.1.1.0.0.0.0.255.255.255.255=2 E:cisco.10.2.1.1.2.1.12.224.0.1.1.0.0.0.0.255.255.255.255=2 E:cisco.10.2.1.1.2.1.12.224.0.1.1.0.0.0.0.255.255.255.255=2
15:11:35.198097 deepthought.33736 > csgate.snmp: GetRequest(161) E:cisco.10.2.1.1.2.1.5 E:cisco.10.2.1.1.2.1.6 E:cisco.10.2.1.1.2.1.7 E:cisco.10.2.1.1.2.1.8 E:cisco.10.2.1.1.2.1.10 E:cisco.10.2.1.1.2.1.9 E:cisco.10.2.1.1.2.1.11 (DF)
15:11:35.201338 csgate.snmp > deepthought.33736: GetResponse(146) noSuchName@1 E:cisco.10.2.1.1.2.1.5

I see similar tcpdump output hitting other routers (as well as similar lack of 
output).  Obviously, I missed something.  The problem is, I don't know what it 
was.  Anybody have any clues?

					/Chris